{% extends "base_ajax.html" %}
{% load static %}
{% block extra_head %}
<link href="{% static 'plugins/DataTables/media/css/dataTables.bootstrap4.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/DataTables/extensions/Responsive/css/responsive.bootstrap.min.css' %}" rel="stylesheet">
<link href="{% static 'plugins/gritter/css/jquery.gritter.css' %}" rel="stylesheet" />
<link href="{% static 'css/fmm_modal.css' %}" rel="stylesheet" />
{% endblock extra_head %}
{% block content %}
<div class="panel panel-inverse" data-sortable-id="table-mufas" >
  <!-- begin panel-heading -->
  <div class="panel-heading ui-sortable-handle">
    <div class="panel-heading-btn">
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
      <a onclick="updateDatatable();" class="btn btn-xs btn-icon btn-circle btn-success" ><i class="fa fa-redo"></i></a>
      <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
    </div>
    <h4 class="panel-title">Lista de Mufas</h4>
  </div>
  <!-- end panel-heading -->
  <!-- begin panel-body -->
  <div class="panel-body">
    <!-- begin table-responsive -->
    <div class="m-b-10"> <a href="#modal-create" class="btn btn-sm btn-success" data-toggle="modal">Crear nueva mufa</a></div>

    <div class="table-responsive">
      <table class="table" id="table_mufa">
        <thead>
          <tr>
            <th nowrap="">Mufa ID</th>
            <th nowrap="">Cantidad de Entradas/Salidas</th>
            <th nowrap="">Cantidad de Bandejas</th> 
            <th nowrap="">Extremo Físico</th>
            <th nowrap="">Acción</th>
          </tr>
        </thead>
        <tbody>
        </tbody>
      </table>
    </div>
    <!-- end table-responsive -->
  </div>
  <!-- end panel-body -->
</div>

<div class="modal fade" id="modal-create">
  <div class="modal-dialog">
    <div class="modal-content">
      <form onsubmit="return newMufa()" class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 class="modal-title">Crear Mufa</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
          <div class="form-group row m-b-15">
            <label class="col-md-4 col-sm-4 col-form-label" for="physical_ext">Extremo físico en el que se encuentra</label>
            <div class="col-md-8 col-sm-8">
              <select required class="form-control" id="physical_ext">
              </select>
            </div>
          </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="in_outs">Entradas/Salidas</label>
          <div class="col-md-8 col-sm-8">
            <input required min="1" class="form-control" type="number" id="in_outs" placeholder="Cantidad de entradas/salidas de la mufa" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="plates">Bandejas</label>
          <div class="col-md-8 col-sm-8">
            <input required min="1" class="form-control" type="number" id="plates" placeholder="Cantidad de bandejas de la mufa" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="comment">Comentarios</label>
          <div class="col-md-8 col-sm-8">
            <textarea class="form-control" id="comment" rows="4" data-parsley-required="true" placeholder="Información adicional sobre la mufa" ></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <!-- <button type="button" class="btn btn-primary" onclick="newMufa()">Crear Mufa</button> -->
        <button type="submit" class="btn btn-primary" >Crear Mufa</button>
      </div>
      </form>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-create-sleep" data-backdrop="static" data-keyboard="false">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-body">
        <center>
          <img src="/static/img/spinnerMD.gif">          
        </center>
        <br>
        <p class="lead">Está tarea puede demorar unos minutos, por favor no cierre ni refresque la página</p>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="modal-detail">
  <div class="modal-dialog">
    <div class="modal-content">
      <form id="update-form" class="form-horizontal" data-parsley-validate="true" name="demo-form">
      <div class="modal-header">
        <h4 id="detail" hidden="true" class="modal-title">Detalles de Mufa</h4>
        <h4 id="edit" hidden="true" class="modal-title">Editar Mufa</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">×</button>
      </div>
      <div class="modal-body">
          <div class="form-group row m-b-15">
            <label class="col-md-4 col-sm-4 col-form-label" for="det_physical_ext">Extremo físico en el que se encuentra</label>
            <div class="col-md-8 col-sm-8">
              <!-- <div readonly class="form-control" id="det_physical_ext"></div> -->
              <select required readonly="true" class="form-control" id="det_physical_ext">
              </select>
            </div>
          </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_in_outs">Entradas/Salidas</label>
          <div class="col-md-8 col-sm-8">
            <!-- <div readonly class="form-control" id="det_in_outs" ></div> -->
            <input required min="1" readonly="true" class="form-control" type="number" id="det_in_outs" placeholder="Cantidad de entradas/salidas de la mufa" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_plates">Bandejas</label>
          <div class="col-md-8 col-sm-8">
            <!-- <div readonly class="form-control" id="det_plates" ></div> -->
            <input required min="1" readonly="true" class="form-control" type="number" id="det_plates" placeholder="Cantidad de bandejas de la mufa" data-parsley-required="true" />
          </div>
        </div>
        <div class="form-group row m-b-15">
          <label class="col-md-4 col-sm-4 col-form-label" for="det_comment">Comentarios</label>
          <div class="col-md-8 col-sm-8">
            <textarea readonly="true" class="form-control" id="det_comment" rows="4" data-parsley-required="true" placeholder="Información adicional sobre la mufa" ></textarea>
          </div>
        </div>
      </div>
      <div class="modal-footer">
        <button hidden="true" id="btn_edit" type="button" class="btn btn-primary">Editar Mufa</button>
        <button hidden="true" id="btn_update" type="submit" class="btn btn-primary">Guardar cambios</button>
      </div>
      </form>
    </div>
  </div>
</div>

{% endblock content %}    
{% block extra_js %}
<script src="{% static 'plugins/DataTables/media/js/jquery.dataTables.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/media/js/dataTables.bootstrap.min.js' %}"></script>
<script src="{% static 'plugins/DataTables/extensions/Responsive/js/dataTables.responsive.min.js' %}"></script>
<script src="{% static 'plugins/gritter/js/jquery.gritter.js' %}"></script>
<script src="{% static 'scripts/mufa_list.js' %}"></script>
{% endblock extra_js %}